pfni(1)

NAME
pfni - Print Full Name Image of an Ada entity

SYNOPSIS

pfni [-sofd] [-p project-file] unit[:line-number[:column-number]] [-- ASIS options]

pfni -h

DESCRIPTION
pfni is a companion program to adactl(1). It prints the full expanded name of entities declared or referenced by a specified Ada compilation unit. This makes it easier to designate the entities when writing new rules for AdaControl. Commercial support is available for AdaControl, see file /usr/share/doc/adacontrol/support.txt. If you plan to use AdaControl for industrial projects, or if you want it to be customized or extended to match your own needs, please contact Adalog at info@adalog.fr.

OPTIONS

-d  Enable debug mode.

-f  Full output: display all entities declared and referenced by unit. The default is to only display entities declared in unit.

-h  Prints a general help message.

-o  Also print overloading information. If you are calling a subprogram that has several overloadings and you are not sure which one is called, use pfni with the -o option on that line: the program will tell you the full name and profile of the called subprogram.

-p project-file
    Use the specified Emacs ada-mode (*.adp) project file.

-s  Process the specification of unit; the default is to process the body.

line-number
    Only display entities declared on that line.

line-number:column-number
    Only display the entity at that line and column, if any.

AUTHOR
AdaControl was developed by under contract with The copyright is jointly owned by Adalog and Eurocontrol. This manual page was written by Ludovic Brenta <lbrenta@debian.org> for the Debian project, but it can be used for other purposes as well.

SEE ALSO
adactl(1) AdaControl User's Guide, available in Info, PDF, and HTML in /usr/share/doc/adacontrol. AdaControl Programmer's Guide, available in Info, PDF, and HTML in /usr/share/doc/adacontrol.